﻿


using EFLol;

namespace TestUnitaire
{
	public class TestEfLol
	{
		[Fact]
		public void TestAddIntoDB()
		{
			// Arrange
			ChampionEntity Zeus = new ChampionEntity
			{
				Name = "Zeus",
				Bio = "Zeus is the king of the gods."
			};

			// Act
			var context = new ChampionContext();
			context.Champions.Add(Zeus);
			context.SaveChanges();

			// Assert
				var champion = context.Champions.FirstOrDefault(c => c.Name == "Zeus");
				if (champion == null)
				{
					Assert.True(false, "Champion not found in database.");
				}
				Assert.NotNull(champion);
				Assert.Equal("Zeus", champion.Name);
				Assert.Equal("Zeus is the king of the gods.", champion.Bio);
		}
	}
}




